<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
<!-- 	<link rel="stylesheet" type="text/css" href="./index.css"> -->
	<title>Bootstrap Grid System</title>

</head>
	<body class=" text-center">
		 <h1>Bootstrap Grid System	</h1>

 <!-- two columms -->
 		<h2>two colums</h2>
 		<div class="containder-fluid">
 			<h3>1:1 raito </h3>
 			<div class="row text-light">
 				<div class="bg-primary pt-3 pb-3 border border-dark col-6"> 6col </div>
 				<div class="bg-secondary pt-3 pb-3 border border-dark col-6"> 6col </div>
 		</div>

 		<div class="containder-fluid">
 			<h3>1:3 raito </h3>
 			<div class="row text-light">
 				<div class="bg-primary pt-3 pb-3 border border-dark col-3"> 3col </div>
 				<div class="bg-secondary pt-3 pb-3 border border-dark col-9"> 9col </div>
 		</div>

 		<div class="containder-fluid">
			<h3>1:2 raito </h3>
				<div class="row text-light">
 				<div class="bg-primary pt-3 pb-3 border border-dark col-4"> 4col </div>
 				<div class="bg-secondary pt-3 pb-3 border border-dark col-8"> 8col </div>
 		</div>
 	</div>

 		<!-- 3 columms -->

 		<h2>Three Columns</h2>
		<div class = "container-fluid">
			<!-- Row with 3 equal columns -->
			<h3>1:1:1 Ratio</h3>
			<div class = "row text-light">
				<div class = "bg-primary pt-3 pb-3 border border-dark col-4">4col</div>
				<div class = "bg-secondary pt-3 pb-3 border border-dark col-4">4col</div>
				<div class = "bg-primary pt-3 pb-3 border border-dark col-4">4col</div>
			</div>

			<div>
			<h3>1:2:1 Ratio</h3>
			<div class = "row text-light">
			<div class = "bg-primary pt-3 pb-3 border border-dark col-3">3col</div>
			<div class = "bg-secondary pt-3 pb-3 border border-dark col-6">6col</div>
			<div class = "bg-primary pt-3 pb-3 border border-dark col-3">3col</div>
			</div>

			<div>
			<h3>3:7:2 Ratio</h3>
			<div class = "row text-light">
			<div class = "bg-primary pt-3 pb-3 border border-dark col-3">3col</div>
			<div class = "bg-secondary pt-3 pb-3 border border-dark col-7">7col</div>
			<div class = "bg-primary pt-3 pb-3 border border-dark col-2">2col</div>
			</div>
		</div>

		<h2>Automatic Siziing</h2>
		<div class="containder-fluid">
			<div class="row text-light">
			<div class = "bg-primary pt-3 pb-3 border border-dark col">Automatic</div>			
			<div class = "bg-primary pt-3 pb-3 border border-dark col">auntomatic</div>			
			<div class = "bg-primary pt-3 pb-3 border border-dark col">automatic</div>			
			<div class = "bg-primary pt-3 pb-3 border border-dark col">Automatic</div>			
			<div class = "bg-primary pt-3 pb-3 border border-dark col">Automatic</div>	

			<div class = "bg-primary pt-3 pb-3 border border-dark col">Automatic</div>					
		</div>

		<!-- col xp value col-xl-value	 -->

		<h2>mobile Responsive</h2>

			<div class="containder-fluid">
				<div class="row text-light">
					<div class = "bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2 ">Responsive</div>
					<div class = "bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-10">Responsive</div>
				</div>
			</div>

			<div>
				<h2>Multi-row Layouts</h2>
				<div class="row text-light">
		<div class = "container-fluid">
			<div class = "row text-light">
				<div class = "bg-primary pt-3 pb-3 border border-dark col-4">Catalog1</div>
				<div class = "bg-primary pt-3 pb-3 border border-dark col-4">Catalog2</div>
				<div class = "bg-primary pt-3 pb-3 border border-dark col-4">Catalog3</div>
				<div class = "bg-primary pt-3 pb-3 border border-dark col-4">Catalog4</div>
				<div class = "bg-primary pt-3 pb-3 border border-dark col-4">Catalog5</div>
				<div class = "bg-primary pt-3 pb-3 border border-dark col-4">Catalog6</div>
			</div>
		</div>

		<h2>Offsetting Columns</h2>
		<div class="container-fluid">
			<div class=" row text-light">	
					<div class = "bg-primary pt-3 pb-3 border border-dark col-4 offset-2 col-6">Offset column</div>
					<div class = "bg-primary pt-3 pb-3 border border-dark col-4 offset-md-3 col-6">Offset column</div>
		    		<div class = "bg-primary pt-3 pb-3 border border-dark col-4 offset-lg-4 col-6">Offset column</div>

		    </div>
		</div>

		<h2>Columns orders</h2>
		<div class="container-fluid">
				<div class="row text-light">
				<div class = "bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">left</div>
				<div class = "bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">right</div>

				</div>
			</div>

	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
	</body>
</html>